tut::test_object< Data > Class Template Reference

Test object. More...

`#include <tut.h>`

Inheritance diagram for tut::test_object< Data >:
[legend]
Collaboration diagram for tut::test_object< Data >:
[legend]

## Public Member Functions

| test_object ()
| Default constructor. More...
template<int n>
void | test ()
| Default do-nothing test. More...

## Public Attributes

bool | called_method_was_a_dummy_test_
| The flag is set to true by default (dummy) test. More...

## Detailed Description

### template<class Data>
class tut::test_object< Data >

Test object.

Contains data test run upon and default test method implementation. Inherited from Data to allow tests to access test data as members.

## Constructor & Destructor Documentation

template<class Data>

tut::test_object< Data >::test_object | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

template<class Data>
template<int n>

void tut::test_object< Data >::test | ( |  | ) |

inline

Default do-nothing test.

## Member Data Documentation

template<class Data>

bool tut::test_object< Data >::called_method_was_a_dummy_test_

The flag is set to true by default (dummy) test.

Used to detect usused test numbers and avoid unnecessary test object creation which may be time-consuming depending on operations described in Data::Data() and Data::~Data(). TODO: replace with throwing special exception from default test.

The documentation for this class was generated from the following file:

- tut.h